package com.mortals.xhx.module.user.model;

import java.util.List;
import com.mortals.xhx.module.user.model.UserFillHistoryEntity;
/**
* 用户填单记录查询对象
*
* @author zxfei
* @date 2025-06-08
*/
public class UserFillHistoryQuery extends UserFillHistoryEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 微信openid */
    private List<String> openIdList;

    /** 微信openid排除列表 */
    private List <String> openIdNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 手机号码 */
    private List<String> mobileList;

    /** 手机号码排除列表 */
    private List <String> mobileNotList;
    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 开始 材料id */
    private Long materialIdStart;

    /** 结束 材料id */
    private Long materialIdEnd;

    /** 增加 材料id */
    private Long materialIdIncrement;

    /** 材料id列表 */
    private List <Long> materialIdList;

    /** 材料id排除列表 */
    private List <Long> materialIdNotList;

    /** 材料名称 */
    private List<String> materialNameList;

    /** 材料名称排除列表 */
    private List <String> materialNameNotList;
    /** 预览地址 */
    private List<String> preViewPathList;

    /** 预览地址排除列表 */
    private List <String> preViewPathNotList;
    /** 提交的表单 */
    private List<String> formContentList;

    /** 提交的表单排除列表 */
    private List <String> formContentNotList;
    /** 合成doc后地址 */
    private List<String> docPathList;

    /** 合成doc后地址排除列表 */
    private List <String> docPathNotList;
    /** 表单值 */
    private List<String> formValueList;

    /** 表单值排除列表 */
    private List <String> formValueNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserFillHistoryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserFillHistoryQuery> andConditionList;

    public UserFillHistoryQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 微信openid
    * @return openIdList
    */
    public List<String> getOpenIdList(){
        return this.openIdList;
    }

    /**
    * 设置 微信openid
    * @param openIdList
    */
    public void setOpenIdList(List<String> openIdList){
        this.openIdList = openIdList;
    }

    /**
    * 获取 微信openid
    * @return openIdNotList
    */
    public List<String> getOpenIdNotList(){
        return this.openIdNotList;
    }

    /**
    * 设置 微信openid
    * @param openIdNotList
    */
    public void setOpenIdNotList(List<String> openIdNotList){
        this.openIdNotList = openIdNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 手机号码
    * @return mobileList
    */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
    * 设置 手机号码
    * @param mobileList
    */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
    * 获取 手机号码
    * @return mobileNotList
    */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
    * 设置 手机号码
    * @param mobileNotList
    */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
    * 获取 开始 事项id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项id
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 事项id
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
    * 获取 事项名称
    * @return matterNameNotList
    */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterNameNotList
    */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
    * 获取 开始 材料id
    * @return materialIdStart
    */
    public Long getMaterialIdStart(){
        return this.materialIdStart;
    }

    /**
    * 设置 开始 材料id
    * @param materialIdStart
    */
    public void setMaterialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
    }

    /**
    * 获取 结束 材料id
    * @return $materialIdEnd
    */
    public Long getMaterialIdEnd(){
        return this.materialIdEnd;
    }

    /**
    * 设置 结束 材料id
    * @param materialIdEnd
    */
    public void setMaterialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
    }

    /**
    * 获取 增加 材料id
    * @return materialIdIncrement
    */
    public Long getMaterialIdIncrement(){
        return this.materialIdIncrement;
    }

    /**
    * 设置 增加 材料id
    * @param materialIdIncrement
    */
    public void setMaterialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
    }

    /**
    * 获取 材料id
    * @return materialIdList
    */
    public List<Long> getMaterialIdList(){
        return this.materialIdList;
    }

    /**
    * 设置 材料id
    * @param materialIdList
    */
    public void setMaterialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
    }

    /**
    * 获取 材料id
    * @return materialIdNotList
    */
    public List<Long> getMaterialIdNotList(){
        return this.materialIdNotList;
    }

    /**
    * 设置 材料id
    * @param materialIdNotList
    */
    public void setMaterialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
    }


    /**
    * 获取 材料名称
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }

    /**
    * 获取 材料名称
    * @return materialNameNotList
    */
    public List<String> getMaterialNameNotList(){
        return this.materialNameNotList;
    }

    /**
    * 设置 材料名称
    * @param materialNameNotList
    */
    public void setMaterialNameNotList(List<String> materialNameNotList){
        this.materialNameNotList = materialNameNotList;
    }

    /**
    * 获取 预览地址
    * @return preViewPathList
    */
    public List<String> getPreViewPathList(){
        return this.preViewPathList;
    }

    /**
    * 设置 预览地址
    * @param preViewPathList
    */
    public void setPreViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
    }

    /**
    * 获取 预览地址
    * @return preViewPathNotList
    */
    public List<String> getPreViewPathNotList(){
        return this.preViewPathNotList;
    }

    /**
    * 设置 预览地址
    * @param preViewPathNotList
    */
    public void setPreViewPathNotList(List<String> preViewPathNotList){
        this.preViewPathNotList = preViewPathNotList;
    }

    /**
    * 获取 提交的表单
    * @return formContentList
    */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
    * 设置 提交的表单
    * @param formContentList
    */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
    * 获取 提交的表单
    * @return formContentNotList
    */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
    * 设置 提交的表单
    * @param formContentNotList
    */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
    * 获取 合成doc后地址
    * @return docPathList
    */
    public List<String> getDocPathList(){
        return this.docPathList;
    }

    /**
    * 设置 合成doc后地址
    * @param docPathList
    */
    public void setDocPathList(List<String> docPathList){
        this.docPathList = docPathList;
    }

    /**
    * 获取 合成doc后地址
    * @return docPathNotList
    */
    public List<String> getDocPathNotList(){
        return this.docPathNotList;
    }

    /**
    * 设置 合成doc后地址
    * @param docPathNotList
    */
    public void setDocPathNotList(List<String> docPathNotList){
        this.docPathNotList = docPathNotList;
    }

    /**
    * 获取 表单值
    * @return formValueList
    */
    public List<String> getFormValueList(){
        return this.formValueList;
    }

    /**
    * 设置 表单值
    * @param formValueList
    */
    public void setFormValueList(List<String> formValueList){
        this.formValueList = formValueList;
    }

    /**
    * 获取 表单值
    * @return formValueNotList
    */
    public List<String> getFormValueNotList(){
        return this.formValueNotList;
    }

    /**
    * 设置 表单值
    * @param formValueNotList
    */
    public void setFormValueNotList(List<String> formValueNotList){
        this.formValueNotList = formValueNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public UserFillHistoryQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public UserFillHistoryQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public UserFillHistoryQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public UserFillHistoryQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public UserFillHistoryQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public UserFillHistoryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 微信openid
    * @param openId
    */
    public UserFillHistoryQuery openId(String openId){
        setOpenId(openId);
		return this;
    }

    /**
    * 设置 微信openid
    * @param openIdList
    */
    public UserFillHistoryQuery openIdList(List<String> openIdList){
        this.openIdList = openIdList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public UserFillHistoryQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public UserFillHistoryQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }


	/**
    * 设置 手机号码
    * @param mobile
    */
    public UserFillHistoryQuery mobile(String mobile){
        setMobile(mobile);
		return this;
    }

    /**
    * 设置 手机号码
    * @param mobileList
    */
    public UserFillHistoryQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
		return this;
    }

    /**
    * 设置  事项id
    * @param matterId
    */
    public UserFillHistoryQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public UserFillHistoryQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public UserFillHistoryQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public UserFillHistoryQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public UserFillHistoryQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 事项id
        * @param matterIdNotList
        */
        public UserFillHistoryQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public UserFillHistoryQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public UserFillHistoryQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }

    /**
    * 设置  材料id
    * @param materialId
    */
    public UserFillHistoryQuery materialId(Long materialId){
	    setMaterialId(materialId);
		return this;
    }
	
	 /**
    * 设置 开始 材料id
    * @param materialIdStart
    */
    public UserFillHistoryQuery materialIdStart(Long materialIdStart){
		this.materialIdStart = materialIdStart;
		return this;
    }

    /**
    * 设置 结束 材料id
    * @param materialIdEnd
    */
    public UserFillHistoryQuery materialIdEnd(Long materialIdEnd){
		this.materialIdEnd = materialIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料id
    * @param materialIdIncrement
    */
    public UserFillHistoryQuery materialIdIncrement(Long materialIdIncrement){
		this.materialIdIncrement = materialIdIncrement;
		return this;
    }

    /**
    * 设置 材料id
    * @param materialIdList
    */
    public UserFillHistoryQuery materialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
		return this;
        }

        /**
        * 设置 材料id
        * @param materialIdNotList
        */
        public UserFillHistoryQuery materialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
        return this;
        }


	/**
    * 设置 材料名称
    * @param materialName
    */
    public UserFillHistoryQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }

    /**
    * 设置 材料名称
    * @param materialNameList
    */
    public UserFillHistoryQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }


	/**
    * 设置 预览地址
    * @param preViewPath
    */
    public UserFillHistoryQuery preViewPath(String preViewPath){
        setPreViewPath(preViewPath);
		return this;
    }

    /**
    * 设置 预览地址
    * @param preViewPathList
    */
    public UserFillHistoryQuery preViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
		return this;
    }


	/**
    * 设置 提交的表单
    * @param formContent
    */
    public UserFillHistoryQuery formContent(String formContent){
        setFormContent(formContent);
		return this;
    }

    /**
    * 设置 提交的表单
    * @param formContentList
    */
    public UserFillHistoryQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
		return this;
    }


	/**
    * 设置 合成doc后地址
    * @param docPath
    */
    public UserFillHistoryQuery docPath(String docPath){
        setDocPath(docPath);
		return this;
    }

    /**
    * 设置 合成doc后地址
    * @param docPathList
    */
    public UserFillHistoryQuery docPathList(List<String> docPathList){
        this.docPathList = docPathList;
		return this;
    }


	/**
    * 设置 表单值
    * @param formValue
    */
    public UserFillHistoryQuery formValue(String formValue){
        setFormValue(formValue);
		return this;
    }

    /**
    * 设置 表单值
    * @param formValueList
    */
    public UserFillHistoryQuery formValueList(List<String> formValueList){
        this.formValueList = formValueList;
		return this;
    }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public UserFillHistoryQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public UserFillHistoryQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public UserFillHistoryQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public UserFillHistoryQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public UserFillHistoryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public UserFillHistoryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public UserFillHistoryQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public UserFillHistoryQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public UserFillHistoryQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public UserFillHistoryQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public UserFillHistoryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public UserFillHistoryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<UserFillHistoryQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<UserFillHistoryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<UserFillHistoryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<UserFillHistoryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}